%define upstream_name    MIME-Base64
%define upstream_version 3.15

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Encode/decode Base 64 (RFC 2045)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MIME/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
This module provides functions to encode and decode strings into and from
the base64 encoding specified in RFC 2045 - _MIME (Multipurpose Internet
Mail Extensions)_. The base64 encoding is designed to represent arbitrary
sequences of octets in a form that need not be humanly readable. A
65-character subset ([A-Za-z0-9+/=]) of US-ASCII is used, enabling 6 bits
to be represented per printable character.

The following functions are provided:

* encode_base64($str)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 3.150.0-5.mga6
+ Revision: 1029888
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 3.150.0-4.mga6
+ Revision: 957753
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 3.150.0-3.mga6
+ Revision: 845021
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 3.150.0-2.mga6
+ Revision: 840867
- Rebuild for perl 5.22

* Sun Jun 21 2015 sander85 <sander85> 3.150.0-1.mga6
+ Revision: 838409
- update to 3.15

* Sun Oct 19 2014 umeabot <umeabot> 3.140.0-7.mga5
+ Revision: 789084
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 3.140.0-6.mga5
+ Revision: 739691
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.140.0-5.mga5
+ Revision: 685290
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 3.140.0-4.mga5
+ Revision: 631396
- Rebuild for perl 5.20

* Mon Feb 10 2014 jquelin <jquelin> 3.140.0-3.mga5
+ Revision: 587969
- rebuild after perl 5.18.2

* Sat Oct 19 2013 umeabot <umeabot> 3.140.0-2.mga4
+ Revision: 529482
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 jquelin <jquelin> 3.140.0-1.mga4
+ Revision: 451889
- update to 3.14

* Wed May 29 2013 jquelin <jquelin> 3.130.0-6.mga4
+ Revision: 430873
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.130.0-5.mga3
+ Revision: 369315
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 3.130.0-4.mga3
+ Revision: 250949
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 3.130.0-3.mga2
+ Revision: 103800
- perl 5.14

* Fri Feb 18 2011 jquelin <jquelin> 3.130.0-2.mga1
+ Revision: 53627
- rebuild

* Sat Jan 22 2011 jquelin <jquelin> 3.130.0-1.mga1
+ Revision: 30744
- mageia rebuild
- imported package perl-MIME-Base64

